Bug 9579 - ipcalc should return hostnames in lower case
ipcalc should return hostnames in lower case
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-18 21:40 EST by Matthew Miller
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-18 21:40:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2000-02-18 21:40:16 EST
While DNS is technically case-insensitive, hostnames are traditionally
expressed in all-lower case. ipcalc figures out hostnames by doing a
reverse lookup, which is generally ok, but some DNS servers are
(aesthetically speaking) misconfigured such that they return ALL CAPS or
even MiXeD cAsE. ipcalc should default to lower-casing this string before
setting hostname values. (Fixing the DNS servers would be the ideal, but
often those are admin'd from On High and can't/won't easily be changed.)
Comment 1 Bill Nottingham 2001-01-30 17:14:20 EST
Done in 5.60-1. I think it's somewhat silly, though. ;)
Comment 2 Matthew Miller 2001-01-30 17:23:40 EST
Wonderful, thanks. :)

Note You need to log in before you can comment on or make changes to this bug.